Subject: Re: [PATCH] Update udbg_progress() to display the integer

From: Timur Tabi <[email-masked]>
Date: Tue, 06 Feb 2007 17:54:06 -0600

Kumar Gala wrote:

> I'm with Ben on this.  I'm not aware of any in tree user that just 
> doesn't print this stuff out to a console port.  The concept is nice, 
> but does anyone really use it?

I just ran a quick test on an 8349 board, and it appears that everywhere 
ppc_md.progress() is called, printk() works, too.

Is there any platform where ppc_md.progress() does something different than 
printk()?  Is there any point in the boot process where ppc_md.progress() works 
but printk() doesn't?

-- 
Timur Tabi
Linux Kernel Developer @ Freescale